CockroachDBはPostgreSQLのドライバで接続できるけどPostgreSQL互換ではない

公開日:2018-11-26
最終更新:2018-11-27

そんだけ

で終わるのもなんなので、以下試してダメだった製品。

  • PostgREST
    • 実装されていない関数使っているのでNG
      • "code":"42883","message":"unknown function: current_setting()"
  • GitBucket
    • これも実装されていない関数を使っていてNG
      • org.postgresql.util.PSQLException: ERROR: multiple primary keys for table "versions" are not allowed
  • JetBrains製IDE付属のデータベースツール
    • pg_catalog内のテーブルに互換性がないのでスキーマ情報の取得に失敗する
      • [42703] org.postgresql.util.PSQLException: ERROR: column "n.xmin" does not exist
    • ただし、SQLの実行は普通にできる

2018/11/27 追記

  • mackerel-plugin-postgres
    • メトリックの取得時にselect version();の結果をパースできてなさそうでNG
      • OutputValues: failed to select version()
記事が少しでもいいなと思ったらクラップを送ってみよう!
90
+1
@ryosmsの技術ブログ

よく一緒に読まれている記事

0件のコメント

ブログ開設 or ログイン してコメントを送ってみよう
目次をみる

技術ブログをはじめよう

Qrunch(クランチ)は、ITエンジニアリングに携わる全ての人のための技術ブログプラットフォームです。

技術ブログを開設する

Qrunchでアウトプットをはじめよう

Qrunch(クランチ)は、ITエンジニアリングに携わる全ての人のための技術ブログプラットフォームです。

Markdownで書ける

ログ機能でアウトプットを加速

デザインのカスタマイズが可能

技術ブログ開設

ここから先はアカウント(ブログ)開設が必要です

英数字4文字以上
.qrunch.io
英数字6文字以上
ログインする